
def readFile(filename):
    f=open(filename)    
    return [row.split()[1:] for row in f]


def computeProfile(sequence):    
    profile={}
    for el in sequence:
        if not profile.has_key(el):
            profile[el] = 1
        else:
            profile[el] += 1
    return profile

def extractAlphabet(data):
    sequences="".join([el[1] for el in data])
    alphabet={}
    for l in sequences:
        alphabet[l]=1
    alphabet=alphabet.keys()
    alphabet.sort()
    return alphabet

def printProfiles(data,alphabet):    
    print "el\t" + "\t".join(alphabet)    
    for row in data:
        profile=computeProfile(row[1])
        print row[0],
        for l in alphabet:
            print "\t%d" % profile.get(l,0),
        print

def computeProfiles(filename):
    data=readFile(filename)
    alphabet=extractAlphabet(data)
    printProfiles(data,alphabet)

filename=raw_input("Data file: ")
computeProfiles(filename)
